<template>
  <section
    v-if="!token"
    class="login-alert"
    @click="$store.commit('updateShowLogin', true)"
  >
    <i class="ic-alert icon-alert"></i>
    <div class="content">
      <p class="mb-1">شما هنوز وارد حساب کاربری خود نشده اید.</p>
      <p class="mb-0">برای ورود اینجا را لمس کنید.</p>
    </div>
  </section>
  <section
    v-else-if="showTargetAlert && !$store.getters['user/hasGoalWeight']"
    class="login-alert"
    @click="$router.push({ name: 'target' })"
  >
    <i
      class="ic-close icon-close"
      @click.prevent.stop="showTargetAlert = false"
    ></i>
    <i class="ic-alert icon-alert"></i>
    <div class="content">
      <p class="mb-1">شما هنوز وزن هدف خود را تعیین نکرده اید.</p>
      <p class="mb-0">برای کالری شماری تعیین هدف کنید.</p>
    </div>
  </section>
</template>
<script>
export default {
  name: 'AlertMessage',
  syncSettings: [{ showTargetAlert: true }, 'token']
}
</script>
